:root {
    /* Primary */
    --color-primary-900: #A72A28;
    --color-primary-300: #CA7D7C;
    /* Secondary */
    --color-secondary-900: #0A72BA;
    --color-secondary-300: #74A9D6;
    /* Neutral */
    --color-neutral-900: #0C0C20;
    --color-neutral-800: #1E1E1E;
    --color-neutral-600: #686868;
    --color-neutral-300: #AEAEAE;
    --color-neutral-200: #E8E8E8;
    --color-neutral-100: #F6FAF9;
    --color-neutral-0: #FFFFFF;
    /* Liner*/
    --liner-primary: linear-gradient(90.22deg, #821715 0%, #C72421 70%);
    /* Shadows */
    --shadow-lg: 0px 4px 8px rgba(0, 0, 0, 0.15); /* Opacity 15% */
    --shadow-md: 0px 4px 8px rgba(0, 0, 0, 0.10); /* Opacity 10% */
    --shadow-sm: 0px 2px 4px rgba(0, 0, 0, 0.10); /* Opacity 10% */
    /* Fonts */
    --font-highlight: "Playfair Display", serif;
    --font-body: "Roboto", sans-serif;
    --scroll-bar: 8px;
}

.keyword-bar {
    display: none;
}

.keyword-bar {
    display: none;
}

.video-detail {
    padding: 32px 0;
    position: relative;
    overflow: hidden;
}

    .video-detail > * {
        position: relative;
        z-index: 2;
    }
.video-detail::after{
        content: "";
        position: absolute;
        z-index: 1;
        top: 0;
        left: 50%;
        right: 50%;
        margin-left: -50vw;
        margin-right: -50vw;
        width: 100vw;
        height: 100%;
        background-image: url('/asset/images/place_background.png');
        background-repeat: no-repeat;
        background-position: top right;
        background-size: 100% 100%;
        transform: scaleX(-1);
    }

.video-detail__header {
    margin-bottom: 24px;
    padding-bottom: 16px;
    border-bottom: 1px solid var(--color-neutral-200);
}

.video-detail__text {
    font: 500 16px var(--font-body);
    color: var(--color-primary-900);
    margin-bottom: 0;
    text-transform: uppercase;
}

.main-video {
    --space: 24px;
    padding-bottom: var(--space);
    margin-bottom: var(--space);
    border-bottom: 1px solid var(--color-neutral-200);
    display: flex;
    position: relative;
}

.main-video__video-wrapper {
    width: 74.64%;
    border-radius: 2px;
    overflow: hidden;
    background-color: #ffff;
}

    .main-video__video-wrapper .u-asp-16-9 .u-asp-16-9__item {
        position: absolute !important;
    }

.main-video__video-info {
    position: absolute;
    top: 0;
    bottom: 16px;
    right: 0;
    left: calc( 74.64% + 24px);
    overflow: hidden;
    color: var(--color-neutral-0);
    scrollbar-gutter: stable;
}

.main-video__video-info:hover{
        overflow: auto;
    }
    /* width of scrollbar */
    .main-video__video-info::-webkit-scrollbar {
        width: 7px;
    }

    /* track */
    .main-video__video-info::-webkit-scrollbar-track {
        background: transparent;
    }

/* thumb */
::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 10px;
}

    /* thumb on hover */
    ::-webkit-scrollbar-thumb:hover {
        background: #555;
    }

.main-video__title {
    font: 700 24px var(--font-highlight);
    margin-bottom: 8px;
}

.main-video__description {
    font: 400 16px var(--font-body);
    color: var(--color-neutral-100);
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.video-detail__sub-list {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 24px;
}

.video-detail__sub-image {
    border-radius: 2px;
    overflow: hidden;
    margin-bottom: 16px;
}

.video-detail__icon-wrapper {
    position: absolute;
    top: 8px;
    left: 8px;
    background-color: #0C0C204D;
    border-radius: 7px;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.video-detail__icon {
    width: 24px;
    height: 24px;
}

.video-detail__sub-title {
    font: 500 16px var(--font-body);
    color: var(--color-neutral-0);
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.section-header {
    display: none;
}

@media screen and (max-width: 992px) {
    .video-detail__sub-list {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media screen and (max-width: 576px) {
    .video-detail::after {
        background-position: top center;
        background-size: 280% 100%;
    }

    .video-detail__sub-list {
        margin-top: 16px;
        grid-template-columns: repeat(2, 1fr);
        gap: 16px;
    }

    .video-detail {
        padding: 16px 0;
    }

    .video-detail__header {
        margin-bottom: 16px;
    }

    .main-video {
        flex-direction: column;
        --space: 16px;
    }

    .main-video__video-wrapper {
        width: calc(100% + 32px);
        margin-bottom: 16px;
        margin-left: -16px;
        margin-right: -16px;
        border-radius: 0;
    }

    .main-video__video-info {
        position: static;
    }

    .section-header {
        display: block;
    }

    .section-header__title {
        font-size: 20px !important;
        color: var(--color-neutral-0) !important;
    }

    .video-detail__icon-wrapper {
        width: 32px;
        height: 32px;
    }

    .video-detail__icon {
        width: 16px;
        height: 16px;
    }

    .video-detail__sub-image {
        margin-bottom: 8px;
    }

    .video-detail__sub-title {
        -webkit-line-clamp: 4;
    }
}
